com.explodingpixels.macwidgets.plaf

## Class HudLabelUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.LabelUI
    - - javax.swing.plaf.basic.BasicLabelUI
      - - com.explodingpixels.macwidgets.plaf.HudLabelUI

- All Implemented Interfaces:
    PropertyChangeListener, EventListener

      public class HudLabelUI
      extends BasicLabelUI

  Creates a Heads Up Display (HUD) style label, similar to that seen in various iApps (e.g. iPhoto).

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicLabelUI

      `labelUI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HudLabelUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `installDefaults(JLabel c)`
    `void` | `paint(Graphics graphics, JComponent c)`
    `protected void` | `paintDisabledText(JLabel l, Graphics g, String s, int textX, int textY)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicLabelUI

      `createUI, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installKeyboardActions, installListeners, installUI, layoutCL, paintEnabledText, propertyChange, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HudLabelUI

          public HudLabelUI()

  - ### Method Detail

    - #### installDefaults

          protected void installDefaults(JLabel c)

      Overrides:
        `installDefaults` in class `BasicLabelUI`

    - #### paint

          public void paint(Graphics graphics,
                   JComponent c)

      Overrides:
        `paint` in class `BasicLabelUI`

    - #### paintDisabledText

          protected void paintDisabledText(JLabel l,
                               Graphics g,
                               String s,
                               int textX,
                               int textY)

      Overrides:
        `paintDisabledText` in class `BasicLabelUI`